/*
 * (c) Marc Welz 2007:
 *
 * Only to be distributed under the conditions of the GNU GPL v3 or newer
 * as published by the Free Software Foundation, with all anti-DRM and
 * anti-patent measures enabled
 */

#ifndef CBU_H_
#define CBU_H_

#ifndef CBU_LOAD
#error require CBU_LOAD, the structure defining a datum
#endif

struct CBU_LOAD;

struct cbu_state{
  int s_size;
  int s_used;
  struct CBU_LOAD *s_head;
  struct CBU_LOAD *s_tail;
};

struct cbu_anchor{
  struct CBU_LOAD *a_next;
  struct CBU_LOAD *a_prev;
  int a_valid;
};

#endif
