/*
 * (c) Marc Welz 1999, 2004, 2005, 2006:
 *
 * Only to be distributed under the conditions of the GNU GPL v2 or newer
 * as published by the Free Software Foundation, with all anti-DRM and
 * anti-patent measures enabled
 */

#ifndef MO_PRIV_H_
#define MO_PRIV_H_

#include <sys/types.h>

int cmp_time_loop(struct timeval *alpha, struct timeval *beta);
int add_time_loop(struct timeval *sigma, struct timeval *alpha, struct timeval *beta);
int sub_time_loop(struct timeval *delta, struct timeval *alpha, struct timeval *beta);

#include "loop.h"

struct link_loop *enqueue_loop(struct link_loop *head, struct link_loop *add, int index);
struct link_loop *dequeue_loop(struct link_loop *head, struct link_loop *del, int index);
int isqueue_loop(struct link_loop *head, struct link_loop *test, int index);
void dumpqueue_loop(FILE *fp, struct link_loop *head, int index, char *prefix);

#endif
